- NAME
- SYNOPSIS
- DESCRIPTION
- RETURN VALUES
- SEE ALSO
- HISTORY
- COPYRIGHT

# NAME

SSL_SESSION_get0_id_context, SSL_SESSION_set1_id_context - get and set the SSL ID context associated with a session

# SYNOPSIS

     #include <openssl/ssl.h>

     const unsigned char *SSL_SESSION_get0_id_context(const SSL_SESSION *s,
                                                      unsigned int *len)
     int SSL_SESSION_set1_id_context(SSL_SESSION *s, const unsigned char *sid_ctx,
                                    unsigned int sid_ctx_len);

# DESCRIPTION

See RETURN VALUES

SSL_SESSION_set1_id_context() returns 1 on success or 0 on error.

# SEE ALSO

SSL_set_session_id_context(3)

# HISTORY

SSL_SESSION_get0_id_context() was first added to OpenSSL 1.1.0

# COPYRIGHT

Copyright 2015-2016 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the OpenSSL license (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at https://www.openssl.org/source/license.html.